Subject: Re: bug#16383: balance-windows fails in Emacs 24.3.50.1

From: martin rudalics <[email-masked]>
Date: Tue, 07 Jan 2014 20:28:54 +0100

> How do I find out which revision I have?

Here I can do

C-h v emacs-bzr-version RET

But IIUC you don't use bazaar but Debian snapshots.  So if you can apply a
patch try the one below.

martin

=== modified file 'lisp/window.el'
--- lisp/window.el    2014-01-05 16:29:44 +0000
+++ lisp/window.el    2014-01-07 11:41:17 +0000
@@ -4541,7 +4541,7 @@
      (setq sub first)
      (while (and sub (> rest 0))
        (unless (window--resize-child-windows-skip-p window)
-    (set-window-new-pixel sub char-size t)
+    (set-window-new-pixel sub (min rest char-size) t)
      (setq rest (- rest char-size)))
        (setq sub (window-right sub)))

@@ -4550,7 +4550,7 @@
      (setq sub first)
      (while (and sub (> rest 0))
        (unless (eq (window-new-normal sub) 'ignore)
-    (set-window-new-pixel sub char-size t)
+    (set-window-new-pixel sub (min rest char-size) t)
      (setq rest (- rest char-size)))
        (setq sub (window-right sub)))